This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 444103 - hang at 99% handle exception for not enough /boot diskspace
hang at 99% handle exception for not enough /boot diskspace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 20:20 EDT by David Timms
Modified: 2008-04-25 06:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 21:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
df, ls -lR /boot, du /boot (2.20 KB, text/plain)
2008-04-24 20:20 EDT, David Timms
no flags Details
screencapture of hang; not that informative (135.86 KB, image/png)
2008-04-24 20:25 EDT, David Timms
no flags Details

  None (edit)
Description David Timms 2008-04-24 20:20:06 EDT
Description of problem:
preupgrade hung with all packages downloaded, and 99% complete. starting from
the cli shows that there is no room to fit minstg2.img

Version-Release number of selected component (if applicable):
preupgrade-0.9-2.fc7

How reproducible:
/dev/sda1              99M   65M   30M  69% /boot

Steps to Reproduce:
1. {on vm of f7, basic install, default partitioning}
2. install preupgrade.f7
3. preupgrade 
4. worked fine for F7>f8
5. preupgrade {is still version above}.
6. packages download, progress
  
Actual results:
hang at 99% progress.
preupgrade 
No package matched to remove
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 196, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 204, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 357, in main_preupgrade
    stage2file = self.pu.retrieve_non_critical_files()
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 361, in
retrieve_non_critical_files
    self._retrieve_file(self.instimage,targetdir)
  File "/usr/lib/python2.5/site-packages/preupgrade/__init__.py", line 301, in
_retrieve_file
    raise PUError, "insufficient space in %s to download %s" % (targetdir,
item_fname)
preupgrade.PUError: insufficient space in /boot/upgrade to download minstg2.img

Expected results:
1. nice error message "you silly duffa - you can't fit the installer in the
available space"
2. detect that some old kernels could be removed to regain space, and ask the
user if that is OK.
3. detect that the f7>f8 preupgrade left an old vmlin|init|minstg2 and remove that.
4. delete the preupgrade bits from /boot after upgrade ! [perhaps that would be
an anaconda function]
[5. if there is space on / , redirect grub to load minstg2 from there ? ]
Comment 1 David Timms 2008-04-24 20:20:06 EDT
Created attachment 303713 [details]
df, ls -lR /boot, du /boot
Comment 2 David Timms 2008-04-24 20:25:57 EDT
Created attachment 303714 [details]
screencapture of hang; not that informative
Comment 3 David Timms 2008-04-24 20:30:19 EDT
Can preupgrade assume any contents in /boot/upgrade are its own, and autonuke them ?
Perhaps a size and checksum is available for the vmli|init|minstg that are
needed for the upgrade, so that preupgrade can be certain that nuking them is
correct, and that it isn't nuking the bits a previous incomplete pass downloaded.
Comment 4 Seth Vidal 2008-04-24 21:50:07 EDT
We've handled this error much better in 0.9.1 and 0.9.2 which are both in koji,
currently. I'll be putting 0.9.2 to bodhi shortly
Comment 5 David Timms 2008-04-25 06:48:20 EDT
running preupgrade-0.9.2-1.fc8 to complete the original sequence {without
erasing or doing anything else manually} is confirmed to run to completion.

Note You need to log in before you can comment on or make changes to this bug.